Page 2 of 2 FirstFirst 12
Results 11 to 20 of 20

Thread: Double buffering fail on r500 dri

  1. #11
    Join Date
    Jul 2007
    Posts
    402

    Default

    I'm trying to install xserver from git now. Hello, dependency hell!

  2. #12
    Join Date
    Apr 2007
    Location
    Salvador - Bahia - Brazil
    Posts
    79

    Default

    I'm having this very same issue using Debian Sid.

    This are my packages:

    xserver-xorg-core:
    Instalado: 2:1.4.99.906-1
    Candidato: 2:1.4.99.906-1
    Tabela de versão:
    *** 2:1.4.99.906-1 0
    1 http://ftp.debian.org experimental/main Packages
    100 /var/lib/dpkg/status

    libgl1-mesa-dri:
    Instalado: 7.1-1
    Candidato: 7.1-1
    Tabela de versão:
    *** 7.1-1 0
    1 http://ftp.debian.org experimental/main Packages
    100 /var/lib/dpkg/status

    did anyone workaround this issue?

    Please let me know.
    Last edited by hobbes; 09-02-2008 at 01:58 AM.

  3. #13
    Join Date
    Feb 2008
    Posts
    319

    Default

    You must use xserver from git (or wait for final 1.5 release) with Mesa-7.1 or use 7.1 RC3 with xserver-1.4.99.906.

  4. #14
    Join Date
    Sep 2008
    Posts
    49

    Default

    This is not true.
    The actual version of xserver-xorg-core in experimental is
    2:1.4.99.906-2 and work without problem with mesa 7.1 final.

  5. #15
    Join Date
    Feb 2008
    Posts
    319

    Default

    Debian is really fast with those patched packages.

  6. #16
    Join Date
    Apr 2007
    Location
    Salvador - Bahia - Brazil
    Posts
    79

    Default

    Quote Originally Posted by towo2099 View Post
    This is not true.
    The actual version of xserver-xorg-core in experimental is
    2:1.4.99.906-2 and work without problem with mesa 7.1 final.
    Indeed, I just checked on this site and it says 2:1.4.99.906-2 as the newest version.

    But, I can not get this package! Only 2:1.4.99.906-1.

    Would you mind to share your experimental repositories with us?

    Thanks for reading.

  7. #17
    Join Date
    Apr 2007
    Location
    Salvador - Bahia - Brazil
    Posts
    79

    Default

    Nevermind, I just noticed that there is no 2:1.4.99.906-2 package to amd64 SID.

    Architecture Version Package Size Installed Size Files

    amd64 2:1.4.99.906-1 2,541.9 kB 5624 kB no current information

    i386 2:1.4.99.906-2 2,374.2 kB 5036 kB no current information

    link
    Last edited by hobbes; 09-02-2008 at 03:16 PM. Reason: URL

  8. #18
    Join Date
    Jul 2008
    Location
    Greece
    Posts
    3,762

    Default

    On R500 use the radeon (git master), NOT the radeonhd driver.

  9. #19
    Join Date
    Apr 2007
    Location
    Salvador - Bahia - Brazil
    Posts
    79

    Default

    Quote Originally Posted by RealNC View Post
    On R500 use the radeon (git master), NOT the radeonhd driver.
    I Just did that and also git clone Mesa/drm but the problem persists.

    $glxinfo | egrep direct
    direct rendering: Yes

    $glxinfo | egrep OpenGL
    OpenGL vendor string: DRI R300 Project
    OpenGL renderer string: Mesa DRI R300 20060815 AGP 8x TCL
    OpenGL version string: 1.3 Mesa 7.1

    $egrep "(EE)" /var/log/Xorg.0.log
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
    (II) Loading extension MIT-SCREEN-SAVER

    _ _ _ _ _

    Xorg.0.log:

    X.Org X Server 1.4.99.906 (1.5.0 RC 6)
    Release Date:
    X Protocol Version 11, Revision 0
    Build Operating System: Linux 2.6.17.7 x86_64 Debian
    Current Operating System: Linux debian-desktop 2.6.26-1-amd64 #1 SMP Thu Aug 28 11:13:42 UTC 2008 x86_64
    Build Date: 27 July 2008 11:54:00PM

    more info: http://pastebin.com/m6f3a915
    _________
    $ dmesg | grep drm
    [ 88.324998] [drm] Initialized drm 1.1.0 20060810
    [ 88.333001] [drm] Initialized radeon 1.29.0 20080613 on minor 0
    [ 88.792977] [drm] Setting GART location based on new memory map
    [ 88.793007] [drm] Loading R500 Microcode
    [ 88.793049] [drm] Num pipes: 1
    [ 88.793060] [drm] writeback test succeeded in 2 usecs

    $glxgears
    Error: couldn't get an RGB, Double-buffered visual


    Any thoughts would be appreciated.
    Last edited by hobbes; 09-02-2008 at 09:29 PM. Reason: added dmesg output

  10. #20
    Join Date
    Apr 2007
    Location
    Salvador - Bahia - Brazil
    Posts
    79

    Default

    Just an update.

    xserver-xorg-core 2:1.4.99.906-2 AMD64 hit the experimental repositories today.

    Problem solved.

    Thanks for reading.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •